%define version 2.1.9
%define release 22mdk

Summary: A set of system configuration and setup files.
Name: setup
Version: %{version}
Release: %{release}
Copyright: public domain
Group: System/Configuration/Other
# get the source from our cvs repository (see
# http://www.linuxmandrake.com/en/cvs.php3)
Source: setup-%{version}.tar.bz2
Buildroot: %{_tmppath}/%{name}-root
BuildArchitectures: noarch

%description
The setup package contains a set of very important system
configuration and setup files, such as passwd, group,
profile and more.

You should install the setup package because you will
find yourself using its many features for system
administration.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
make install RPM_BUILD_ROOT=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog
%verify(not md5 size mtime) %config(noreplace) /etc/passwd
%verify(not md5 size mtime) %config(noreplace) /etc/group
%config(noreplace) /etc/services
%config(noreplace) /etc/exports
%config(noreplace) /etc/inputrc
%config(noreplace) /etc/filesystems
%config(noreplace) /etc/host.conf
%config(noreplace) /etc/hosts.allow
%config(noreplace) /etc/hosts.deny
%config(noreplace) /etc/motd
%config(noreplace) /etc/printcap
%config(noreplace) /etc/profile
%config(noreplace) /etc/shells
%config(noreplace) /etc/protocols
%attr(0600,root,root) %config(missingok,noreplace) /etc/securetty
%config(noreplace) /etc/csh.login
%config(noreplace) /etc/csh.cshrc
%config /etc/profile.d/*
%verify(not md5 size mtime) /var/log/lastlog

%changelog
* Wed Oct 11 2000 Pixel <pixel@mandrakesoft.com> 2.1.9-22mdk
- move the home directory of sympa to /var/lib/sympa

* Mon Oct  9 2000 Pixel <pixel@mandrakesoft.com> 2.1.9-21mdk
- /etc/csh.login: better fix for non-readable PATH dirs (unhash, thanks to
Christos Zoulas)
- /etc/group: fix syntax for wnn and named entries

* Mon Oct  9 2000 Pixel <pixel@mandrakesoft.com> 2.1.9-20mdk
- /etc/csh.login: better formatted warning (see 19mdk)

* Mon Oct  9 2000 Pixel <pixel@mandrakesoft.com> 2.1.9-19mdk
- /etc/csh.login: add a warning for high security level where /usr/bin is
non-user readable and tcsh doesn't handle it nicely

* Mon Oct  9 2000 Pixel <pixel@mandrakesoft.com> 2.1.9-18mdk
- /etc/group: fix syntax for the sympa entry

* Fri Oct  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.9-17mdk
- Add named user.

* Wed Sep  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.9-16mdk
- passwd: define home of ftp user to /var/ftp.

* Fri Aug  4 2000 Pixel <pixel@mandrakesoft.com> 2.1.9-15mdk
- add a lot of of noreplace's (eg: /etc/exports!)

* Mon Jul 31 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.9-14mdk
- BM.

* Sat Jul  1 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.9-13mdk
- group (slocate): Add slocate group.

* Thu Jun 15 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1.9-12mdk
- added /etc/shells

* Mon May 15 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.9-11mdk
- services: Add jserver entrie.
- group (wnn): add wnn.

* Tue Apr 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.9-10mdk
- profile: fix LESSOPEN.

* Wed Apr 12 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.9-9mdk
- profile: export LESSOPEN variable if /usr/bin/lesspipe.sh is installed.

* Wed Apr  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.9-8mdk
- group (sympa): Add sympa as 89.
- passwd (sympa): Add sympa as 89.
- initscripts.spec: /etc/profile.d/ as config files.

* Fri Mar 31 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.9-7mdk
- initscripts.spec: adjust groups.

* Mon Mar 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.9-6mdk
- inputrc: revert pablo stuff to my stuff (until pablo come with a
  better fix :\).

* Thu Mar 23 2000 Pixel <pixel@mandrakesoft.com> 2.1.9-5mdk
- add swat entry for samba

* Sun Mar 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.9-4mdk
- inputrc: fix backspace bug (until pablo got a better fix).

* Thu Mar 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.9-3mdk
- setup.spec. Really insert inputrc.

* Sun Mar 12 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.9-2mdk
- inputrc: Reinsert Pablo file (was not included).

* Sun Feb 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.9-1mdk
- Makefile: 2.1.9.
- ChangeLog: create it.
- profile.d/xhost*: check if the XAUTHORITY variable is not defined.
- etcskel.spec: addd some files in noreplace.
- filesystems: move it here and add defaults sane.
- profile: don't define the PATH here.
- profile: HISTFILESIZE is obsoletes, don't export it.
- profile: Check before if INPUTRC variable is not defined and ~/.inputrc
	is not present.
- services: Add LDAP services.
- services: fix mailq lines (udp & tcp).

* Thu Jan  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.0.6-15mdk
- cdrom groups == 22.

* Thu Dec 30 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Don't request /bin/csh or /bin/sh

* Mon Dec 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- in CVS  and real Makefile.

* Mon Dec 20 1999 Frederic Lepied <flepied@mandrakesoft.com> 2.0.6-11mdk
- set the variable PROFILE_LOADED in /etc/setup

* Mon Dec 13 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- fix typos in group
- add x10 and radio groups here (so the gid do not change)

* Thu Dec  2 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- make empty the securetty for security.

* Wed Dec 01 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Oups take the wrong version :\.

* Wed Dec 01 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- export XAUTHORITY to permit root to launch X applications (but not others
  users !!!).

* Wed Nov 24 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Remove PATH of profile (handle by mandrake security).

* Sun Nov 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add cdrecord::80 and audio::81 in group.
- Remove default umask (handle by mdk security).
- Set core files only for root.

* Tue Nov  2 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 2.0.6.
- split csh.login into csh.login and csh.cshrc (r)
- fix pop service names (r)
- fix ipv6 protocols entries (r)

* Fri Sep 24 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Really fix limit coredump problem (cant believe i forgot this)

* Fri Sep 24 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- use tcp not udp for talk in /etc/services

* Tue Sep 14 1999 Pixel <pixel@mandrakesoft.com
- added group postgres to fix the bogus useradd of install2 

* Fri Aug 13 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- fix bogus permissions

* Wed Jul 28 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added the following default groups to /etc/group:
   smb:		for allwoing mounting/unmounting of SMB shares
   floppy:	for allowing raw acces to the floppies (eg with mtools)
   cdrom:	for allowing raw access to CDs (eg for music)
   pppusers:	for users allowed to launch pppd
   cdwriters:	for users allowed to roast CDs
   audio:	for users allowed to open /dev/dsp etc.
   dos:		for r/w access to mounted FAT partitions.
 (reminder: other interesting groups are 'lp' for access to the printer(s))

* Wed May 12 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- ulimit -c 0 for user.

* Tue May 11 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Bash2 can't handle ulimit for a user :-(

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages

* Thu Feb 18 1999 Jeff Johnson <jbj@redhat.com>
- unset variables used in /etc/csh.cshrc (#1212)

* Mon Jan 18 1999 Jeff Johnson <jbj@redhat.com>
- compile for Raw Hide.

* Tue Oct 13 1998 Cristian Gafton <gafton@redhat.com>
- fix the csh.cshrc re: ${PATH} undefined

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Dec 05 1997 Erik Troan <ewt@redhat.com>
- /etc/profile uses $i, which needs to be unset

* Mon Nov 03 1997 Donnie Barnes <djb@redhat.com>
- made /etc/passwd and /etc/group %config(noreplace)

* Mon Oct 20 1997 Erik Troan <ewt@redhat.com>
- removed /etc/inetd.conf, /etc/rpc
- flagged /etc/securetty as missingok
- fixed buildroot stuff in spec file

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>
- made a noarch package

* Wed Apr 16 1997 Erik Troan <ewt@redhat.com>
- Don't verify md5sum, size, or timestamp of /var/log/lastlog, /etc/passwd,
  or /etc/group.

